Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2484863003: Make updateStyleAndLayoutTree ready for async stylesheet update. (Closed)

Created:
1 year, 10 months ago by rune
Modified:
1 year, 10 months ago
CC:
chromium-reviews, kenneth.christiansen, blink-reviews-style_chromium.org, blink-reviews-css, sof, eae+blinkwatch, blink-reviews-dom_chromium.org, dglazkov+blink, apavlov+blink_chromium.org, darktears, blink-reviews, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Make updateStyleAndLayoutTree ready for async stylesheet update. Introduce Document::updateActiveStyle() and corresponding updateActiveStyle()/updateActiveStyleSheets() methods in StyleEngine to prepare for doing active stylesheet updates as part of updateStyleAndLayoutTree. We move updateViewport() to updateActiveStyle() as the first step. This is done by removing the synchronous calls to ViewportStyleResolver:: updateViewport() and instead schedule a layout tree update. In order to trigger actual work to be done when the layout tree update happens, we need to return true from Document::needsFullLayoutTreeUpdate() when we need an active style update (for viewport atm). BUG=567021 Committed: https://crrev.com/b50a2f4a9fe9733ed204f55f83a2e32727ba003d Cr-Commit-Position: refs/heads/master@{#432182}

Patch Set 1 #

Patch Set 2 : Rebased #

Patch Set 3 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -29 lines) Patch
M third_party/WebKit/Source/core/css/resolver/ViewportStyleResolver.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/resolver/ViewportStyleResolver.cpp View 1 chunk +7 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Document.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Document.cpp View 1 2 5 chunks +14 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/core/dom/DocumentStyleSheetCollection.cpp View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngine.h View 1 2 4 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngine.cpp View 1 2 5 chunks +35 lines, -19 lines 0 comments Download

Messages

Total messages: 23 (13 generated)
rune
ptal
1 year, 10 months ago (2016-11-08 00:48:03 UTC) #6
rune
1 year, 10 months ago (2016-11-08 14:03:00 UTC) #8
meade_UTC10
lgtm
1 year, 10 months ago (2016-11-14 17:51:37 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2484863003/20001
1 year, 10 months ago (2016-11-15 09:50:30 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/335430)
1 year, 10 months ago (2016-11-15 10:58:56 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2484863003/20001
1 year, 10 months ago (2016-11-15 12:02:54 UTC) #15
commit-bot: I haz the power
Failed to apply patch for third_party/WebKit/Source/core/dom/Document.cpp: While running git apply --index -p1; error: patch failed: ...
1 year, 10 months ago (2016-11-15 13:09:16 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2484863003/40001
1 year, 10 months ago (2016-11-15 13:34:05 UTC) #20
commit-bot: I haz the power
Committed patchset #3 (id:40001)
1 year, 10 months ago (2016-11-15 15:25:23 UTC) #21
commit-bot: I haz the power
1 year, 10 months ago (2016-11-15 15:28:33 UTC) #23
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/b50a2f4a9fe9733ed204f55f83a2e32727ba003d
Cr-Commit-Position: refs/heads/master@{#432182}

Powered by Google App Engine
This is Rietveld 408576698